[ubuntu-cloud-archive/havana-proposed] spice (Accepted)

Dave Walker (Daviey) DaveWalker at ubuntu.com
Thu Jul 4 08:30:48 UTC 2013


 spice (0.12.3-0nocelt1ubuntu1~cloud0) precise-havana; urgency=low
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 spice (0.12.3-0nocelt1ubuntu1) saucy; urgency=low
 .
   * Link server tests with -lm.
 .
 spice (0.12.3-0nocelt1) unstable; urgency=low
 .
   * New upstream release
   * debian/patches:
     - fix-build-warning-PIXEL.patch, remove, applied upstream
     - link-libspice-server-with-libm-libpthread.patch, remove,
       applied upstream
     - spice-common-remove-version-construction.patch, remove,
       applied upstream
     - fix-tests-warnings.patch, refresh
     - make-celt-to-be-optional.patch, refresh
   * libspice-server-dev should depends on libglib2.0-dev, or
     qxl driver compile will fail.
   * Refresh libspice-server1.symbols
 .
 spice (0.12.2-0nocelt3) unstable; urgency=low
 .
   * Upload to unstable
 .
 spice (0.12.2-0nocelt2exp) experimental; urgency=low
 .
   * added two patches from Serge Hallyn to fix numerous compiler warnings:
      fix-build-warning-PIXEL.patch
      fix-tests-warnings.patch
   * spice-common-remove-version-construction.patch - to stop spice-common
     from produce a ton of `build-aux/git-version-gen: not found' errors
     during autoreconf.
 .
 spice (0.12.2-0nocelt1exp) experimental; urgency=low
 .
   * New upstream release
   * debian/patches:
      - Refresh link-libspice-server-with-libm-libpthread.patch
   * Refresh debian/cpyright, new files added
   * Build client, upstream don't build client by default
   * Refresh libspice-server1.symbols
   * Add libglib2.0-dev to Build-Depends
 .
   [ Michael Tokarev ]
   * refresh make-celt-to-be-optional.patch (minor context diff)
   * do not build-depend on libspice-protocol-dev
     (upstream always uses included copy)
   * add (versioned) dependency on libspice-protocol-dev to libspice-server-dev
     package, since when the latter is installed, embedded protocol headers
     are not installed
   * do not build-depend on mesa libs (OpenGL is not enabled by default
     and is not recommended by upstream)
   * do not build-depend on libogg-dev
   * configure with --disable-silent-rules, so that the compiler command
     line is visible (this fixes the lintian warnings about hardening flags)
 .
 spice (0.11.0-1) unstable; urgency=low
 .
   * New upstream release
   * Breaks spice-gtk (<= 0.12-2)
   * Refresh debian/libspice-server1.symbols
   * debian/control:
     - Update my e-mail address
     - Add python-pyparsing to Build-Depends
   * debian/patches:
     - Remove fix-error-path-return-in-snd_set_record_peer.patch,
       applied upstream
     - Refresh make-celt-to-be-optional.patch
     - Refresh link-libspice-server-with-libm-libpthread.patch
   * Simplify debian/rules, celt removed, no reason to use
     traditional one
   * Disable smartcard, not in debian yet
   * Refresh debian/copyright
 .
 spice (0.10.1-3~nocelt) experimental; urgency=low
 .
   * Applying for co-maintenance, adding myself to Uploaders (Closes: #671627)
   * Bump Standards-Version to 3.9.3 (no changes)
   * link-libspice-server-with-libm-libpthread.patch - missing libraries
   * Enable multiarch for libspice-server, bump debhelper compat to 9
   * do not require root in clean target
   * build-depend on dh-autoreconf and python to be able to run autoreconf
     and python code generator
   * use dh_autoreconf, do not ship debian/source/options anymore
   * consolidate clean target in debian/rules
   * 2 patches:
     - fix-error-path-return-in-snd_set_record_peer.patch (from upstream git),
       which is a pre-requisite for the next patch, and
     - make-celt-to-be-optional.patch (sent to upstream).
     This makes it possible to build spice without celt.
   * Disable celt051 usage.
 .
 spice (0.10.1-2) unstable; urgency=low
 .
   * added dependency on libxinerama-dev to
     libspice-server-dev, temporarily, till
     either upstream or we will have better
     solution.  libspice-server does not use
     xinerama in any way, yet it is listed in
     the requiriments in the pkg-config file,
     which is generated at configure time.
     (Closes: #658173)
 .
 spice (0.10.1-1) unstable; urgency=low
 .
   * New upstream release
   * Refresh libspice-server1.symbols
   * debian/control
     - Change Build-Depends on libspice-protocol-dev to (>= 0.10.1~)
     - Add libxinerama-dev to Build-Depends
 .
 spice (0.10.0-1) unstable; urgency=low
 .
   [ Liang Guo ]
   * New upstream release (Closes: #651262)
   * Refresh debian/copyright
   * Remove fix-typo-in-cmd_line_parser-cpp.patch, applied upstream
   * Remove fix-typo-in-record-cpp.patch, applied upstream
   * Remove use-requires-private-for-libspice-pkgconfig.patch, applied upstream
   * Change Build-Depends on libspice-protocol-dev to (>= 0.9.1~)
   * Refresh libspice-server1.symbols
   * Update debian/rules clean target
   * Ignore common/win/my_getopt-1.5/Makefile change when building package
   * debian/control: set DMUA
 .
   [ Michael Tokarev ]
   * use `rm -f' instead of `-rm' in debian/rules clean targets
   * remove python_modules/*.pyc in clean target
 .
 spice (0.8.3-1) unstable; urgency=low
 .
   * New upstream release
   * Update debian/copyright to fit DEP-5
   * Remove drop-unnecessary-build-request.patch, applied upstream
   * Update Build-Depends on libspice-protocol-dev to 0.8.2~
   * Disable GUI support, CEGUI version in Debian not supported
   * Add libjpeg-dev to Build-Depends
   * Refresh libspice-server1.symbols
 .
 spice (0.8.2-2) unstable; urgency=low
 .
   [ Michael Tokarev ]
   * move libraries used internally by libspice-server from Requires
     to Requires.private in pkg-config file
 .
   [ Liang Guo ]
   * Add libpixman-1-dev and libssl-dev to libspice-server-dev
     Depends (Closes: #637189)
   * Remove alsa, xrandr, xfixes, x11, xext and xrender
     from spice-server.pc Requires
   * Fix typo in debian/spicec.1

Date: Fri, 21 Jun 2013 10:37:05 -0500
Changed-By: Chuck Short <zulcss at ubuntu.com>
Signed-By: Chuck Short <chuck.short at canonical.com> 
Published-By: Dave Walker (Daviey) <DaveWalker at ubuntu.com>


More information about the Cloud-archive-changes mailing list